__gnu_pbds::detail::type_base< Key, null_type, _Alloc, false > Struct Template Reference
Traits

## Public Types

typedef __rebind_va::const_pointer | const_pointer
typedef __rebind_va::const_reference | const_reference
typedef __rebind_ma::const_pointer | mapped_const_pointer
typedef __rebind_ma::const_reference | mapped_const_reference
typedef __rebind_ma::pointer | mapped_pointer
typedef __rebind_ma::reference | mapped_reference
typedef __rebind_ma::value_type | mapped_type
typedef __rebind_va::pointer | pointer
typedef __rebind_va::reference | reference
typedef _Alloc::size_type | size_type
typedef stored_data < value_type, null_type > | stored_data_type
typedef Key | value_type

## Static Public Attributes

static null_type | s_null_type

## Detailed Description

### template<typename Key, typename _Alloc>
struct __gnu_pbds::detail::type_base< Key, null_type, _Alloc, false >

Specialization of type_base for the case where the hash value is not stored alongside each value.

Definition at line 181 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp